zenilib: pp::Macro Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Types | Public Member Functions | Public Attributes | List of all members
pp::Macro Struct Reference

`#include <Macro.h>`

## Public Types

typedef std::vector< std::string > | Parameters
typedef std::vector< Token > | Replacements
enum | Type { kTypeObj, kTypeFunc }

## Public Member Functions

| Macro ()
bool | equals (const Macro &other) const

## Public Attributes

bool | disabled
std::string | name
Parameters | parameters
bool | predefined
Replacements | replacements
Type | type

## Detailed Description

Definition at line 19 of file Macro.h.

## Member Typedef Documentation

typedef std::vector<std::string> pp::Macro::Parameters

Definition at line 26 of file Macro.h.

typedef std::vector<Token> pp::Macro::Replacements

Definition at line 27 of file Macro.h.

## Member Enumeration Documentation

enum pp::Macro::Type

Enumerator
kTypeObj |
kTypeFunc |

Definition at line 21 of file Macro.h.

## Constructor & Destructor Documentation

pp::Macro::Macro | ( |  | ) |

inline

Definition at line 29 of file Macro.h.

## Member Function Documentation

bool pp::Macro::equals | ( | const Macro & | other | ) | const

Definition at line 14 of file Macro.cpp.

References name, parameters, replacements, and type.

## Member Data Documentation

bool pp::Macro::disabled

mutable

Definition at line 33 of file Macro.h.

Referenced by pp::MacroExpander::lex().

std::string pp::Macro::name

Definition at line 36 of file Macro.h.

Referenced by equals(), and pp::Preprocessor::predefineMacro().

Parameters pp::Macro::parameters

Definition at line 37 of file Macro.h.

Referenced by equals().

bool pp::Macro::predefined

Definition at line 32 of file Macro.h.

Referenced by pp::Preprocessor::predefineMacro().

Replacements pp::Macro::replacements

Definition at line 38 of file Macro.h.

Referenced by equals(), and pp::Preprocessor::predefineMacro().

Type pp::Macro::type

Definition at line 35 of file Macro.h.

Referenced by equals(), pp::MacroExpander::lex(), and pp::Preprocessor::predefineMacro().

The documentation for this struct was generated from the following files:

- zenilib/jni/external/angle/src/compiler/preprocessor/Macro.h
- zenilib/jni/external/angle/src/compiler/preprocessor/Macro.cpp